API referenceProjects
List thumbnail options
The project's current thumbnail, every generated option, and thumbnail generations still running.
Authorization
bearerAuth AuthorizationBearer <token>
Typecut API key. Generate one in app.typecut.ai → Settings → API keys. Send as Authorization: Bearer tc_live_….
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/thumbnails"{
"data": {
"project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",
"current": "http://example.com",
"candidates": [
{
"url": "http://example.com",
"text": "string",
"concept": "string",
"generation_id": "a3c889df-e7ae-4ae9-9838-8884129ade5e",
"created_at": "string"
}
],
"pending": [
{
"generation_id": "a3c889df-e7ae-4ae9-9838-8884129ade5e",
"status": "string",
"created_at": "string"
}
]
}
}{
"error": {
"type": "string",
"code": "string",
"message": "string"
}
}